Create function call Copy
Endpoint: POST https://api.nixapi.com/v1/responses
https://platform.openai.com/docs/api-reference/responses/create Some OpenAI models only support Response format, e.g. tool calling on gpt-6-astra, gpt-6.1-sol and gpt-6.1-terra requires Responses
Parameters
Content-Type(header, string, required): Request body Content-Type, usually application/jsonAccept(header, string, required): Expected response Content-TypeAuthorization(header, string): Bearer API Key
Request body (application/json)
input(array)model(string): The ID of the model to use. Common models: gpt-6.2-sol, gpt-6.2-astra, gpt-6.1-sol, gpt-6.1-terra, gpt-6-sol, gpt-6-astra, gpt-6-luna, gpt-5-chat-latest, gpt-5-mini, gpt-5-nano, gpt-5-pro, gpt-5.1-codex, gpt-5.2-pro, gpt-5.4-pro, gpt-5.4-pro-2026-03-05, gpt-5.5-pro, etc. See the model marketplace for the full list.
Request example
{
"input": [
{
"content": [
{
"prompt_cache_breakpoint": {
"mode": "explicit",
"ttl": "12h"
},
"text": "\u003c这里放很长且固定不变的系统提示 / 知识文档,至少数千 token\u003e",
"type": "input_text"
}
],
"role": "developer"
},
{
"content": "根据上面的文档回答:……",
"role": "user"
}
],
"model": "gpt-6.1-sol",
"prompt_cache_options": {
"mode": "explicit"
}
}